WINC1500 Update problem (19.5.4 -> 19.6.1)

Go To Last Post
2 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hello

My Evaluation Kit is:
SAMD21 Xplained & WINC1500 Xplained ATWINC1510 (Firmware Version 19.5.4)

I would like to try WINC1500_MQTT_CHAT_EXAMPLE Project in Atmel Studio.
The printf terminal output of this example says that winc1500 firmware version is old and needs version 19.6.1

But in the next step the firmware update hangs up. I've been waiting here for an half hour and already did a restart, com port change, shorter file path etc. I'm wondering because the last successfull update was in october last year.
Please see attached a picture of cmd window of samd21_xplained_pro_firmware_update.bin.
Nothing happens after "EDBG Virtual Com Port (COM2)"
What else can do?

Attachment(s): 

Last Edited: Sat. Feb 9, 2019 - 08:26 PM
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I think I've found the problem.

I looked in my trash bin and found the old update files WINC1500_FIRMWARE_UPDATE_PROJECT (october 2018).

Then I copied the files from "...WINC1500_FIRMWARE_UPDATE_PROJECT\src\firmware\firmware" (wifi_v111 folder and m2m_aio_3a0 binary file) into the newer update folder WINC1500_FIRMWARE_UPDATE_PROJECT (february 2019).

Now the WINC1500 firmware is 19.6.1 and the WINC1500_MQTT_CHAT_EXAMPLE project seems to work.